nelmio_api_doc:
    documentation:
        info:
            title: C-Rent Rental Api
            description: "This is the C-Rent Rental Api."
            version: '%env(VERSION)%'
        securityDefinitions:
            Authcode:
                type: apiKey
                name: authcode
                in: header
        security:
            -   Authcode: [ ]
    models:
        use_jms: true
        names:
            - { alias: Availability, type: App\Entity\Availability, groups: [ RentalApi ] }
            - { alias: AvailabilityPlan, type: App\Entity\AvailabilityPlan, groups: [ RentalApi ] }
            - { alias: Booking, type: App\Entity\Booking, groups: [ RentalApi ] }
            - { alias: BookingRequestType, type: App\Entity\BookingRequestType, groups: [ RentalApi ] }
            - { alias: PaymentMethods, type: App\Entity\PaymentMethods, groups: [ RentalApi ] }
            - { alias: Parameter, type: App\Entity\Parameter, groups: [ RentalApi ] }
            - { alias: Module, type: App\Entity\Module, groups: [ RentalApi ] }
            - { alias: Customer, type: App\Entity\Customer, groups: [ RentalApi ] }
            - { alias: Country, type: App\Entity\Country, groups: [ RentalApi ] }
            - { alias: Salutation, type: App\Entity\Salutation, groups: [ RentalApi ] }
            - { alias: Group, type: App\Entity\Group, groups: [ RentalApi ] }
            - { alias: GroupImage, type: App\Entity\GroupImage, groups: [ RentalApi ] }
            - { alias: Category, type: App\Entity\Category, groups: [ RentalApi ] }
            - { alias: Feature, type: App\Entity\Feature, groups: [ RentalApi ] }
            - { alias: Currency, type: App\Entity\Currency, groups: [ RentalApi ] }
            - { alias: InvoicePosition, type: App\Entity\InvoicePosition, groups: [ RentalApi ] }
            - { alias: RateCategory, type: App\Entity\RateCategory, groups: [ RentalApi ] }
            - { alias: Station, type: App\Entity\Station, groups: [ RentalApi ] }
            - { alias: OpentimeConfiguration, type: App\Entity\OpentimeConfiguration, groups: [ RentalApi ] }
            - { alias: GroupFeatures, type: App\Entity\GroupFeatures, groups: [ RentalApi ] }
            - { alias: CustomerCredentials, type: App\Entity\CustomerCredentials, groups: [ RentalApi ] }
            - { alias: PaymentProvider, type: App\Entity\PaymentProvider, groups: [ RentalApi ] }
            - { alias: Translation, type: App\Entity\Translation, groups: [ RentalApi ] }
            - { alias: Vehicle, type: App\Entity\Vehicle, groups: [ RentalApi ] }
            - { alias: Document, type: App\Entity\Document, groups: [ RentalApi ] }
    areas: # to filter documented areas
        default:
            path_patterns: [ ^/api ]
    